package com.ruoyi.system.domain.notice;

import java.util.List;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 校园安全信息对象 xiaoyuan_info
 * 
 * @author boman
 * @date 2023-08-01
 */
public class XiaoyuanInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 校园安全信息id */
    private Long infoId;

    /** 校园安全信息标题 */
    @Excel(name = "校园安全信息标题")
    private String infoTitle;

    /** 信息封面 */
    @Excel(name = "信息封面")
    private String infoPhoto;

    /** 学校id */
    @Excel(name = "学校id")
    private String schoolId;

    /** 学校名称 */
    @Excel(name = "学校名称")
    private String schoolName;

    /** 信息类型（1校园广播 2校园安全） */
    @Excel(name = "信息类型", readConverterExp = "1=校园广播,2=校园安全")
    private String infoType;

    /** 信息子分类 */
    @Excel(name = "信息子分类")
    private String infoTypeZi;

    /** 信息内容 */
    @Excel(name = "信息内容")
    private String infoContent;

    /** 信息状态（0正常 1关闭） */
    @Excel(name = "信息状态", readConverterExp = "0=正常,1=关闭")
    private String status;

    /** 发布时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "发布时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date faBuTime;

    /** 已读人数 */
    @Excel(name = "已读人数")
    private String infoYiDu;

    /** 点赞表id */
    @Excel(name = "点赞表id")
    private Long infoDianZanId;
    /** 点赞人数 */
    @Excel(name = "点赞人数")
    private String infoDianZan;

    /** 转发人数 */
    @Excel(name = "转发人数")
    private String infoZhuanFa;
    /**
     * 是否点赞,只作为查询使用
     */
    private String isDianZan;

    /** 信息评论表id */
    @Excel(name = "信息评论表id")
    private Long infoPingLunId;

    /** 校园安全信息评论信息 */
    private List<InfoPinglun> infoPingLunList;


    public String getIsDianZan() {
        return isDianZan;
    }

    public void setIsDianZan(String isDianZan) {
        this.isDianZan = isDianZan;
    }

    public void setInfoId(Long infoId)
    {
        this.infoId = infoId;
    }

    public Long getInfoId() 
    {
        return infoId;
    }
    public void setInfoTitle(String infoTitle) 
    {
        this.infoTitle = infoTitle;
    }

    public String getInfoTitle() 
    {
        return infoTitle;
    }
    public void setInfoPhoto(String infoPhoto) 
    {
        this.infoPhoto = infoPhoto;
    }

    public String getInfoPhoto() 
    {
        return infoPhoto;
    }

    public String getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(String schoolId) {
        this.schoolId = schoolId;
    }

    public void setSchoolName(String schoolName)
    {
        this.schoolName = schoolName;
    }

    public String getSchoolName() 
    {
        return schoolName;
    }
    public void setInfoType(String infoType) 
    {
        this.infoType = infoType;
    }

    public String getInfoType() 
    {
        return infoType;
    }
    public void setInfoTypeZi(String infoTypeZi) 
    {
        this.infoTypeZi = infoTypeZi;
    }

    public String getInfoTypeZi() 
    {
        return infoTypeZi;
    }
    public void setInfoContent(String infoContent) 
    {
        this.infoContent = infoContent;
    }

    public String getInfoContent() 
    {
        return infoContent;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }


    public List<InfoPinglun> getInfoPingLunList() {
        return infoPingLunList;
    }

    public void setInfoPingLunList(List<InfoPinglun> infoPingLunList) {
        this.infoPingLunList = infoPingLunList;
    }

    public Date getFaBuTime() {
        return faBuTime;
    }

    public void setFaBuTime(Date faBuTime) {
        this.faBuTime = faBuTime;
    }

    public String getInfoYiDu() {
        return infoYiDu;
    }

    public void setInfoYiDu(String infoYiDu) {
        this.infoYiDu = infoYiDu;
    }

    public Long getInfoDianZanId() {
        return infoDianZanId;
    }

    public void setInfoDianZanId(Long infoDianZanId) {
        this.infoDianZanId = infoDianZanId;
    }

    public String getInfoDianZan() {
        return infoDianZan;
    }

    public void setInfoDianZan(String infoDianZan) {
        this.infoDianZan = infoDianZan;
    }

    public String getInfoZhuanFa() {
        return infoZhuanFa;
    }

    public void setInfoZhuanFa(String infoZhuanFa) {
        this.infoZhuanFa = infoZhuanFa;
    }

    public Long getInfoPingLunId() {
        return infoPingLunId;
    }

    public void setInfoPingLunId(Long infoPingLunId) {
        this.infoPingLunId = infoPingLunId;
    }

    @Override
    public String toString() {
        return "XiaoyuanInfo{" +
                "infoId=" + infoId +
                ", infoTitle='" + infoTitle + '\'' +
                ", infoPhoto='" + infoPhoto + '\'' +
                ", schoolId=" + schoolId +
                ", schoolName='" + schoolName + '\'' +
                ", infoType='" + infoType + '\'' +
                ", infoTypeZi='" + infoTypeZi + '\'' +
                ", infoContent='" + infoContent + '\'' +
                ", status='" + status + '\'' +
                ", faBuTime=" + faBuTime +
                ", infoYiDu='" + infoYiDu + '\'' +
                ", infoDianZanId=" + infoDianZanId +
                ", infoDianZan='" + infoDianZan + '\'' +
                ", infoZhuanFa='" + infoZhuanFa + '\'' +
                ", infoPingLunId=" + infoPingLunId +
                ", infoPinglunList=" + infoPingLunList +
                '}';
    }
}
